declare class PI {
    constructor(props: any);
    state: {
        isDisplayQuoteInstruction: boolean;
        isWithQuote: boolean;
        isWithOutQuote: boolean;
        isDisplayInstruction: boolean;
        torchon: string;
        isDisplayCameraPreview: boolean;
        isDisplayCamera: boolean;
        localPath: string;
        flashState: boolean;
        dateAndTime: string;
        currentLongitude: string;
        currentLatitude: string;
        isDisplayVideoRecorder: boolean;
        instructionData: string;
        fullDataSource: string;
        assets: string;
        headerShown: boolean;
        count: number;
        dataSource: string;
        cameraState: string;
        buttonText: string;
        skipdata: string;
        isBackButtonPressed: boolean;
        isSkipButtonPressed: boolean;
        extention: string;
        screenShotPath: string;
        isDisplayUploadDocument: boolean;
        upLoadIamgeDataSource: never[];
        documentUploadPercentage: number;
        odometerReading: string;
        ANDROID_ID: string;
        CurrentDate: string;
        showError: boolean;
        quoteNumber: string;
        showQuoteError: boolean;
        isLoading: boolean;
        registrationNumber: string;
        isSelected: boolean;
        isFocused: boolean;
    };
    componentDidMount(): void;
    handleBackButton(): void;
    backHandler: any;
    captureButton(): any;
    validate(): void;
    validateQuote(): boolean;
    componentWillUnmount(): void;
    watermarkLocation(): any;
    watermarkDigitEdge(): any;
    finalWatermark(): any;
    startRecording(): Promise<void>;
    stopRecording(): void;
    createFloder(activityId: any, activityTypeId: any): Promise<void>;
    toggleTorch(): void;
    flatListOrNot(): any;
    showErrorText(): any;
    showQuoteErrorText(): any;
    uploadedDocumentImageOrVideo(item: any): any;
    imageOrVideo(): any;
    reduceCount(): void;
    increseCount(): void;
    uploadImage(activityId: any): void;
    render(): any;
}
declare namespace PI {
    namespace propTypes {
        const activityId: any;
        const activityTypeId: any;
    }
    namespace defaultProps {
        const activityId_1: string;
        export { activityId_1 as activityId };
        const activityTypeId_1: string;
        export { activityTypeId_1 as activityTypeId };
    }
}
export default PI;
